Package: ace / 6.2.8+dfsg-1

Metadata

Package Version Patches format
ace 6.2.8+dfsg-1 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
reduce doxygen doc.diff | (download)

etc/ace.doxygen | 4 2 + 2 - 0 !
etc/ace_inet.doxygen | 4 2 + 2 - 0 !
etc/ace_qos.doxygen | 4 2 + 2 - 0 !
etc/ace_rmcast.doxygen | 4 2 + 2 - 0 !
etc/ace_ssl.doxygen | 4 2 + 2 - 0 !
etc/acexml.doxygen | 4 2 + 2 - 0 !
6 files changed, 12 insertions(+), 12 deletions(-)

 reduce doxygen documentation
 With upstream's Doxygen settings, the generated documentation requires a huge amount of space.
 Remove some detail so that it only take a reasonable amount of disk space.
37 remove google tracking.diff | (download)

docs/Download.html | 10 0 + 10 - 0 !
1 file changed, 10 deletions(-)

 remove google adsense scripts from html documentation
90 patch mpc basedir.diff | (download)

bin/mpc.pl | 10 3 + 7 - 0 !
bin/mwc.pl | 10 3 + 7 - 0 !
2 files changed, 6 insertions(+), 14 deletions(-)

 make $ace_root/bin/m{w,p}c.pl relocatable
 $ACE_ROOT/bin/m{w,p}c.pl look up for MPC modules under its base path, in
 $ACE_ROOT/bin/MakeProjectCreator. But we package those scripts under /usr/bin,
 while MakeProjectCreator folder is put under $ACE_ROOT/bin (in other words,
 /usr/lib/ace/bin)
 .
 This patch sets MPC path dir to use $ACE_ROOT if defined (used when building
 ACE+TAO packages), or /usr/lib/ace if not.
91 patch dg basedir.diff | (download)

bin/depgen.pl | 8 3 + 5 - 0 !
1 file changed, 3 insertions(+), 5 deletions(-)

 fix path to dependencygenerator
 $ACE_ROOT/bin/depgen.pl look up for modules under its base path, in
 $ACE_ROOT/bin/DependencyGenerator.
 .
 This patch sets base path dir to use $ACE_ROOT if defined (used when building
 ACE+TAO packages), or /usr/lib/ace if not.
 .
 TODO: do we still need this one?
92 default ACE_ROOT.diff | (download)

bin/MakeProjectCreator/modules/GNUACEWorkspaceCreator.pm | 3 3 + 0 - 0 !
1 file changed, 3 insertions(+)

 define $ace_root in generated gnumakefile if needed
 TODO: not sure whether we need it.